.\"                                      Hey, EMACS: -*- nroff -*-
.\" First parameter, NAME, should be all caps
.\" Second parameter, SECTION, should be 1-8, maybe w/ subsection
.\" other parameters are allowed: see man(7), man(1)
.TH STATCVS 1 "juillet 20, 2003"
.\" Please adjust this date whenever revising the manpage.
.\"
.\" Some roff macros, for reference:
.\" .nh        disable hyphenation
.\" .hy        enable hyphenation
.\" .ad l      left justify
.\" .ad b      justify to both left and right margins
.\" .nf        disable filling
.\" .fi        enable filling
.\" .br        insert line break
.\" .sp <n>    insert n+1 empty lines
.\" for manpage-specific macros, see man(7)
.SH NAME
statcvs \- CVS Repository statistic analysis tool, written in Java
.SH SYNOPSIS

.\" TODO: document that the command cvs log must be run from within
.\" the checkout directory.
.B cvs log > 
.I cvs-logfile.log

.B statcvs
.I [ options ]
.I path/to/cvs-logfile.log
.I path/to/checkout
.br
.SH DESCRIPTION
This manual page documents briefly the
.B statcvs
command.
This manual page was written for the Debian distribution
because the original program does not have a manual page.
.PP
.\" TeX users may be more comfortable with the \fB<whatever>\fP and
.\" \fI<whatever>\fP escape sequences to invode bold face and italics, 
.\" respectively.
.B statcvs
is a program that retrieves information from
a CVS repository and generates
various tables and charts describing
the project development,
e.g. timeline for the lines of code,
contribution of each developer
etc.
.br
The current version of StatCvs generates a static suite of
HTML documents containing tables and chart images.
StatCvs is opens source software,
released under the terms oft the LGPL.
.br
StatCvs uses JFreeChart to generate charts.
.TP
.I  cvs-logfile.log
path to the cvs logfile of the module.
.B Important note: 
statcvs will fail if the log file was not produced with 
.B cvs
from within the checkout. It however does not matter if the file is
not in the directory you're running 
.B statcvs
from.
.TP
.I path/to/checkout
path to the directory of the checked out module

.SH OPTIONS
These programs follow the usual command line syntax, with long
options starting with one dashe ("\-").
A list of options is included below.
For a complete description, run the program without parameters
.TP
.B \-version
print the version information and exit
.TP
.B \-output\-dir <dir>
directory where HTML suite will be saved
.TP
.B \-include <pattern>
include only files matching pattern, e.g. **/*.c;**/*.h
.TP
.B \-exclude <pattern>
exclude matching files, e.g. tests/**;docs/**
.TP
.B \-title <title>
Project title to be used in reports
.TP
.B \-viewcvs <url>
integrate with ViewCVS installation at <url>
.TP
.B \-verbose
print extra progress information

.SH JAVA-WRAPPERS NOTE

This program is a shell script wrapper based on
.BR java-wrappers (7).
You therefore benefit from several features; please see the 
.BR java-wrappers (7)
manual page.


.SH SEE ALSO

.BR cvs (1)
and 
.BR java-wrappers (7)

.SH AUTHOR
This manual page was written by Christian Bayle <bayle@debian.org>,
for the Debian project (but may be used by others).
